/*
 * Licensed to the Apache Software Foundation (ASF) under one or more contributor license
 * agreements. See the NOTICE file distributed with this work for additional information regarding
 * copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package org.apache.geode.modules.session.catalina;

import javax.servlet.http.HttpSession;

import org.apache.catalina.session.StandardSessionFacade;

public class DeltaSessionFacade extends StandardSessionFacade {

  private DeltaSessionInterface session;

  /**
   * Construct a new session facade.
   */
  DeltaSessionFacade(DeltaSessionInterface session) {
    super((HttpSession) session);
    // Store session locally since the super session is private and provides no accessor.
    this.session = session;
  }

  // ----------- DeltaSession Methods
  void commit() {
    this.session.commit();
  }

  boolean isValid() {
    return this.session.isValid();
  }
}
